<?php
$label = ""; 

if( property_exists($link_row, 'label' ) ){
	$label = $link_row->label; 
}else if( property_exists($link_row, 'text' ) ){
	$label = $link_row->text; 
}

//if still not set..
if( $label == "" )
	$label = ( $link_row->is_amazon == 1)? "Amazon" : "";

?>
<div class="modal-dialog" role="document">
	
	<div class="modal-content affiliate-delete">
		<div class="modal-header">
			<h5 class="modal-title">Delete Affiliate?</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
		</div>
		
		<div class="modal-body">
			<div class="notice notice-error notice-error-ajax inline " style="display: none;">
				<p>
					Settings have been saved
				</p>
			</div>
			<p>Are you sure you want to delete the Affiliate Link <strong><?php echo $label; ?></strong> (<?php echo $affiliate->url; ?>)?
			<br><strong>This cannot be un-done.</strong>
			</p>
		</div>
		
		<div class="modal-footer">
			
			<div class="buttons">
				<button class="refer-button hover-effect delete" data-id="<?php echo $affiliate->hash; ?>" data-nonce="<?php echo wp_create_nonce('delete_affiliate_' . $affiliate->hash); ?>">Yes, Delete <i></i></button>
				<button class="refer-button hover-effect gray cancel" data-dismiss="modal">Cancel</button>
			</div>
			
		</div>
	</div>
	
</div>