
<?php if( $params != NULL ){ 

	if( array_key_exists('disabled', $params) ){
		$disabled = $params['disabled']? 'disabled' : '';
	}else{
		$disabled = '';
	}

?>

	<div class="bg-image" style="background-image: url(<?php echo array_key_exists('title', $params)? $params['placeholder_image'] : ''; ?>)"></div>
	    
	<div class="content placeholder-content">
		<h1><?php echo array_key_exists('title', $params)? $params['title'] : ''; ?></h1>
		<p><?php echo array_key_exists('title', $params)? $params['subtitle'] : ''; ?></p>
		<?php if($disabled == 'disabled'): ?>
			<h2 class="align-center">Coming Soon!</h2>
		<?php else: ?>
		
		<div class="buttons">
		    <a href="<?php echo array_key_exists('title', $params)? $params['create_link'] : ''; ?>" class="refer-button hover-effect create <?php echo $disabled; ?>"><span class="icon icon-content-pencil-quill"></span>Create One</a>
		    <?php if( $params['example_link'] ){ ?>
			    <a href="<?php echo array_key_exists('title', $params)? $params['example_link'] : ''; ?>"class="refer-button hover-effect example gray<?php echo $disabled; ?>" target="_blank"><span class="icon icon-navigation-next-1"></span>See Example</a>
			<?php }else{ ?>
				<!--<div class="refer-button gray button-placeholder">Coming Soon!</div>-->
			<?php } ?>
		</div>
	</div>
	<?php endif; ?>
<?php } ?>