<?php //REFER clocks page

//include( AFFILIATE_LINK_SHERPA_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 

?>

<div class="wrap bootstrap-wrapper wrap-affiliate-link-sherpa wrap-affiliate-link-sherpa-countdowns">

    <div class="page-header clearfix">
        <?php include(AFFILIATE_LINK_SHERPA_PLUGIN_DIR  . '/assets/html/admin/_partials/header-brand.php'); ?>
        <h1 class="page-header-title">Product Countdowns</h1>
    </div>

    <p>Enter product countdown information below. The links will appear at the top of each block post!</p>

    <div class="notice notice-error notice-error-ajax inline " style="display: none;">
        <p>
            Settings have been saved
        </p>
    </div>

    <div class="form-extra form-top clearfix">
        <div class="filters">
            <form method="get">
                <input type="hidden" name="page" value="affiliate-link-sherpa-product-countdowns">
                <input name="search" placeholder="Search" class="input search-input" value="<?php if(isset($_GET['search'])) { echo $_GET['search'];}?>"> <button type="submit" class="button button-primary"><span class="fa fa-search"></span></button>
                <?php if(isset($_GET['search'])) : ?>
                    <a href="<?php echo admin_url('admin.php?page=affiliate-link-sherpa-product-countdowns'); ?>">Clear</a>
                <?php endif; ?>
            </form>
        </div>

        <div class="navigation">
            <div class="previous panel"><?php previous_posts_link('<span class="fa fa-angle-double-left"></span> Previous', $maxNumberPages) ?></div>
            <div class="next panel"><?php next_posts_link('Next <span class="fa fa-angle-double-right"></span>', $maxNumberPages) ?></div>
        </div>
    </div>

    <table class="widefat countdowns-edit">
        <thead>
        <tr>
            <th>&nbsp;</th>

            <th><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-sherpa-product-countdowns') . "&paged={$paged}&sortCountdownByName={$sortByName}";?>"><?php echo __( 'Product Info' ); ?> <i class="fa fa-sort"></i></a></th>
            <th><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-sherpa-product-countdowns') . "&paged={$paged}&sortCountdownByUrl={$sortByUrl}";?>"><?php echo __( 'Purchase Link' ); ?> <i class="fa fa-sort"></i></a></th>
            <th><?php echo __( 'Product Image' ); ?></th>
            <th><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-sherpa-product-countdowns') . "&paged={$paged}&sortCountdownByEndDate={$sortByEndDate}";?>"><?php echo __( 'Countdown End Date' ); ?> <i class="fa fa-sort"></i></a></th>
            <th><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-sherpa-product-countdowns') . "&paged={$paged}&sortCountdownByViews={$sortByViews}";?>"><?php echo __( 'View Count' ); ?> <i class="fa fa-sort"></i></a></th>
        </tr>
        </thead>
        <tbody>
        <?php include(AFFILIATE_LINK_SHERPA_PLUGIN_DIR  . '/assets/html/admin/_partials/countdown-item-row-add.php'); ?>
        <?php foreach($links as $link) : ?>
            <?php include(AFFILIATE_LINK_SHERPA_PLUGIN_DIR  . '/assets/html/admin/_partials/countdown-item-row-view.php'); ?>
        <?php endforeach; ?>
        </tbody>
    </table>

    <div class="form-extra form-bottom clearfix">
        <div class="navigation">
            <div class="previous panel"><?php previous_posts_link('<span class="fa fa-angle-double-left"></span> Previous', $maxNumberPages) ?></div>
            <div class="next panel"><?php next_posts_link('Next <span class="fa fa-angle-double-right"></span>', $maxNumberPages) ?></div>
        </div>
    </div>

    <div id="modal" class="modal-affiliate-link-sherpa hidden"></div>

</div>
