<?php //REFER disclaimers page

include( AFFILIATE_LINK_SHERPA_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 

?>
<div class="wrap bootstrap-wrapper wrap-affiliate-link-sherpa wrap-affiliate-link-sherpa-legal-disclaimers">

    <div class="page-header clearfix">
        <?php include(AFFILIATE_LINK_SHERPA_PLUGIN_DIR  . '/assets/html/admin/_partials/header-brand.php'); ?>
        <h1 class="page-header-title">Add Smart Disclaimers</h1>
    </div>

    <?php if(isset($_GET['saved'])) : ?>
        <div class="notice notice-success is-dismissible inline">
            <p>
                Settings have been saved
            </p>
        </div>
    <?php endif; ?>

    <p>You should include legal disclaimers on any page that contains an affiliate link. We do this automatically for you! All you need to do is select where you'd like to display the disclaimers and enter the text.</p>

    <form method="post" action="<?php echo admin_url( 'admin-post.php' ); ?>">

        <?php wp_nonce_field( 'save_legal_disclaimers_settings' ); ?>
        <input type="hidden" name="action" value="handle_sherpa_legal_disclaimers_settings_form">

        <p>
            <label><input type="checkbox" value="1" name="legal_disclaimers_allow_top_of_post" <?php echo $topOfPost != '' ? 'checked' : ''; ?> /><strong>Top of Post</strong></label><br>
            <div class="collapse <?php echo $topOfPost != '' ? 'in' : ''; ?>" id="collapsingLegalDisclaimersTopOfPost">
                <textarea name="legal_disclaimers_top_of_post" cols="80" rows="10"><?php echo $topOfPost != '' ? $topOfPost : $topDisclaimerDefaultCopy; ?></textarea>
            </div>
        </p>

        <p>
            <label><input type="checkbox" value="1" name="legal_disclaimers_allow_bottom_of_post" <?php echo $bottomOfPost != '' ? 'checked' : ''; ?> /><strong>Bottom of Post</strong></label><br>
            <div class="collapse <?php echo $bottomOfPost != '' ? 'in' : ''; ?>" id="collapsingLegalDisclaimersBottomOfPost">
                <textarea name="legal_disclaimers_bottom_of_post" cols="80" rows="10"><?php echo $bottomOfPost != '' ? $bottomOfPost : $longDisclaimerDefaultCopy; ?></textarea>
            </div>
        </p>

        <p>
            <label><input type="checkbox" value="1" name="legal_disclaimers_allow_footer" <?php echo $footer != '' ? 'checked' : ''; ?> /><strong>Footer</strong></label><br>
            <div class="collapse <?php echo $footer != '' ? 'in' : ''; ?>" id="collapsingLegalDisclaimersFooter">
                <textarea name="legal_disclaimers_footer" cols="80" rows="10"><?php echo $footer != '' ? $footer : $longDisclaimerDefaultCopy; ?></textarea>
            </div>
        </p>

        <p>
            <label><input type="checkbox" value="1" name="legal_disclaimers_allow_sidebar" <?php echo $sidebar != '' ? 'checked' : ''; ?> /><strong>Sidebar</strong></label><br>
            <div class="collapse <?php echo $sidebar != '' ? 'in' : ''; ?>" id="collapsingLegalDisclaimersSidebar">
                <p>Activating the sidebar disclaimer will create a <a href="<?php echo get_site_url();?>/wp-admin/widgets.php">Widget</a> that needs to be placed manually.</p>
                <textarea name="legal_disclaimers_sidebar" cols="80" rows="10"><?php echo $sidebar != '' ? $sidebar : $longDisclaimerDefaultCopy; ?></textarea>
            </div>
        </p>

        <p><input type="submit" name="submit" id="submit" class="button button-primary" value="Save"></p>

    </form>

</div>
