<?php //REFER reports single 

include( AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 
wp_enqueue_style( 'refer-table' );
wp_enqueue_script( 'refer-table' , array('jquery') );
?>

<div class="wrap bootstrap-wrapper wrap-affiliate-link-reports affiliates-reports-dashboard wrap-is-affiliate-reports wrap-affiliate-link-refer">

    <div class="row">
        <div class="col-wrap col-lg-12">

            <div class="refer-header">
                <div class="title">
                    <div class="icon"><span class="icon-reports"></span></div>
                    <h3><span>Income School Affiliate Tracker Report: <span class="sky-blue">By Author</span></span></h3> 
                    <a class="link-bubble" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-reports'); ?>">< Reports Dashboard</a>
                </div>
                <p>Report data is generated daily.</p>
            </div>
            
            <div class="refer-section refer-table-wrap">

                <?php if(!empty($authorStats)){ ?>
                <table class="affiliate-report-table author-stats refer-table">
                    <thead>
                        <tr>
                            <th class="left">
                                <a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-report-by-author') . "&paged={$paged}&sortAuthorReportByName={$sortByName}";?>">Author <i class="fa fa-sort"></i></a>
                            </th>
                            <th class="right">
                                <a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-report-by-author') . "&paged={$paged}&sortAuthorReportByViews={$sortByViews}";?>">Views <i class="fa fa-sort"></i></a>
                            </th>
                            <th class="right">
                                <a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-report-by-author') . "&paged={$paged}&sortAuthorReportByClicks={$sortByClicks}";?>">Clicks <i class="fa fa-sort"></i></a>
                            </th>
                            <th class="right">
                                <a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-report-by-author') . "&paged={$paged}&sortAuthorReportByAvg={$sortByAvg}";?>">Clicks/Post <i class="fa fa-sort"></i></a>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach($authorStats as $stat) : ?>
                            <tr>
                                <td class="author left"><?php echo $stat['name'];?></td>
                                <td class="views right"><?php echo $stat['views'];?></td>
                                <td class="clicks right"><?php echo $stat['clicks'];?></td>
                                <td class="avg right"><?php echo number_format($stat['avg'], 0, '.', ',');?></td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>

            <?php }
            include(AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/affiliate-report-pagination.php'); ?>

        </div>
    </div>
</div>
