jQuery(function($) {

	$(document).ready(function(){

		bind_sorting();

	});

	function bind_sorting(){

		$.each( $(".refer-table .sortable"), function(i, _this ){
			$(_this).click( function(){
				if( $(_this).data('key') != undefined && $(_this).data('sort-by') != undefined ){
					
					var params = new URLSearchParams( window.location.search ); 			        	
		        	params.append($(_this).data('key'), $(_this).data('sort-by'));

					//remove other params
					$.each( $(_this).siblings('.sortable'), function(j, _that){
						if( $(_that).data('key') != undefined ){
							params.delete( $(_that).data('key') );
						}
					});

					var search = '?' + params.toString();
		            window.location.href = window.location.protocol + "//" + window.location.host + window.location.pathname + search;
		        }
			});
		});
		
		//bind click on 'expand' button at bottom of table (if exists)
		$.each( $(".expand-table"), function(i, _this ){
			$(_this).click( function(){
				if( $(_this).data('table_index') != undefined ){
					var params = new URLSearchParams( window.location.search ); 
					if( $(_this).is(".expanded") ){
						params.delete( 'expand' + $(_this).data('table_index') );
					}else{
			        	params.append( 'expand' + $(_this).data('table_index') , 'true' );
					}	
					var search = '?' + params.toString();
		            window.location.href = window.location.protocol + "//" + window.location.host + window.location.pathname + search;
				}
			});
		});
	}



});
