<?php

namespace IncomeSchool\AffiliateLinkRefer;

class LegalDisclaimerWidget extends \WP_Widget {

    public function __construct()
    {
        // Define the constructor
        $options = array(
            'classname' => 'legal_disclaimer_widget',
            'description' => 'Displays legal disclaimer provided to REFER plugin',
        );

        parent::__construct(
            'legal_disclaimer_widget', 'Legal Disclaimer Widget', $options
        );

    }

    public function widget( $args, $instance )
    {
        // Define the widget
        // Keep this line
        echo $args['before_widget'];

        echo $args['before_title'] . apply_filters( 'widget_title', 'Legal Disclaimer' ) . $args['after_title'];
        echo "<p class='legal-disclaimer widget-disclaimer'>" . get_option('legal_disclaimers_sidebar') . "</p>";

        // Keep this line
        echo $args['after_widget'];

    }
}
