<?php

namespace IncomeSchool\AffiliateLinkRefer;

class ReferFacts
{
    private $referFactsArray = array();

    public function __construct()
    {
        $this->referFactsArray[] = "New York City has the highest Sherpa population in the United States.";
        $this->referFactsArray[] = "A 2010 study at UCLA at Berkley found over 30 genetic factors that make Sherpa’s bodies well suited for high altitudes.";
        $this->referFactsArray[] = "While many people call all mountaineering guides “Sherpas”, the name Sherpa actually refers to an ethnic group found mostly in the Himalayan region.";
        $this->referFactsArray[] = "Many Sherpa practice the Nyingmapa, the \"Ancient\" school of Buddhism.";
        $this->referFactsArray[] = "Tenzing Norgay, a Sherpa, was one of the first known people to reach the summit of Mt Everest in 1953.";
        $this->referFactsArray[] = "At age 16, a Sherpa named Temba Tsheri became the youngest person to climb Mt Everest in 2001.";
        $this->referFactsArray[] = "In 2011, Apa Sherpa broke his own world record for Everest ascents, climbing it for the 21st time.";
        $this->referFactsArray[] = "In 2011, Mingma Sherpa became the first mountaineer to climb the world’s 14 highest mountains on the first attempt.";
        $this->referFactsArray[] = "Pratima Sherpa has lived her entire life in a maintenance shed on the 4th hole of the Royal Nepal Golf Club and is the highest-ranking female golfer in Nepal.";
        $this->referFactsArray[] = "Dachhiri Sherpa represented Nepal in the 2006, 2010, and 2014 winter Olympics in cross-country skiing.";
        $this->referFactsArray[] = "Kami Rita Sherpa holds the world record for most Mt Everest climbs at 23 as of May 2019.";
        $this->referFactsArray[] = "Sherpas don’t all hang around Mt Everest, many Sherpas travel all over the world. About 3,000 Sherpas live in New York City.";
        $this->referFactsArray[] = "Many Sherpa children are named after a day of the week or a virtue.";
        $this->referFactsArray[] = "Sherpa mountain guides on Everest earn about $5,000 over the 2-month climbing season⁠—the average annual per-capita household income in Nepal is just $430.";

        $this->referFactsArray[] = "Sherpa have counted to infinity... twice.";
        $this->referFactsArray[] = "A Sherpa once beat the sun in a staring contest.";
        $this->referFactsArray[] = "Sherpa can divide by zero.";
        $this->referFactsArray[] = "Sherpa always know the EXACT location of Carmen SanDiego.";
        $this->referFactsArray[] = "It takes a Sherpa 20 minutes to watch 60 minutes.";
        $this->referFactsArray[] = "Sherpa can drink an entire gallon of milk in thirty-seven seconds.";
        $this->referFactsArray[] = "Sherpa did, in fact, build Rome in a day.";
        $this->referFactsArray[] = "If a first you don’t succeed, you’re not a Sherpa.";
        $this->referFactsArray[] = "Sherpa are what Willis was talkin’ about.";
        $this->referFactsArray[] = "Sherpa can lead a horse to water AND make it drink.";
    }

    public function getRandomReferFact()
    {
        $randomIndex = rand(0, count($this->referFactsArray) - 1);
        return $this->referFactsArray[$randomIndex];
    }
}
