<div class="affiliates-insert-shortcode">
    <div class="form-extra form-top clearfix">
        <div class="filters">
            <form method="get" id="formSearchAffiliateShortcode">
                <input name="search" placeholder="Search" class="input" value="<?php echo $search; ?>"> <button type="submit" class="button button-primary"><span class="fa fa-search"></span></button>
                <?php if($search != '') : ?>
                    <a href="#" class="clear-search">Clear</a>
                <?php endif; ?>
            </form>
        </div>
    </div>

    <div class="results">
        <?php if(count($affiliates)) : ?>
            <table class="widefat">
                <thead>
                    <tr>
                        <th class="actions">&nbsp;</th>
                        <th class="label"><?php echo __( 'Label' ); ?></th>
                        <th class="text"><?php echo __( 'Link Text' ); ?></th>
                        <th class="url"><?php echo __( 'Link URL' ); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($affiliates as $affiliate) : ?>
                        <tr data-id="<?php echo $affiliate->hash; ?>" data-nonce="<?php echo wp_create_nonce('view_edit_affiliate_' . $affiliate->hash); ?>" data-shortcode='[refer id="<?php echo $affiliate->hash; ?>"]'>
                            <td class="edit-column">
                                <a href="#" class="add"><i class="fa fa-plus"></i></a>
                            </td>
                            <td><?php echo $affiliate->label; ?></td>
                            <td><?php echo $affiliate->text; ?></td>
                            <td><?php echo $affiliate->url; ?></td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        <?php else : ?>
            <p>No shortcodes could be found.</p>
        <?php endif; ?>

    </div>

    <div class="form-extra form-bottom clearfix">
        <div class="navigation">
            <?php if($paged - 1 > 0) : ?>
                <div class="previous panel"><a href="#" data-page-number="<?php echo $paged - 1; ?>">Previous</a></div>
            <?php endif; ?>
            <?php if($paged + 1 < $maxNumberPages) : ?>
                <div class="next panel"><a href="#" data-page-number="<?php echo $paged + 1; ?>">Next</a></div>
            <?php endif; ?>
        </div>
    </div>

    <div class="loader"><div class="loading-message"><i class="fa fa-spin fa-spinner"></i> Loading</div></div>
</div>
