<div class="amazon-shortlink-verfiy-wrap">

    <?php if(isset($verifyFailed) && $verifyFailed == true) : ?>
        <div class="notice notice-error inline">
            Your hosting is not compliant with the Amazon Shortlink Unwrapper. Talk to your provider to see if they will allow curl execution.
        </div>
    <?php endif; ?>

    <?php 
        // update_option('refer_amazon_shortlink_converter_verified', 'no'); 
        // update_option('refer_amazon_shortlink_converter_failed_count', 0); 
    // var_dump("Failed Count: " . get_option('refer_amazon_shortlink_converter_failed_count'));
    ?>

    <?php if(get_option('refer_amazon_shortlink_converter_verified') != 'yes') : ?>

        <div class="notice notice-error inline">
            The Amazon shortlink unwrapper tool needs to be tested as working for your site configuration.
        </div>
        <a href="#" class="refer-button hover-effect button-verify" data-nonce="<?php echo wp_create_nonce('refer_amazon_shortlink_converter_verify'); ?>">Run Unwrapper <i></i></a>

    <?php elseif(get_option('refer_amazon_shortlink_converter_failed_count') >= 5) : ?>

        <div class="notice notice-error inline">
            The Amazon shortlink unwrapper tool has previously been verified but started failing and has been disabled. Your hosting configuration might have changed. If you think this may be an error or you have updated your hosting configuration please re-verify below.
        </div>
        <a href="#" class="refer-button hover-effect button-verify" data-nonce="<?php echo wp_create_nonce('refer_amazon_shortlink_converter_verify'); ?>">Re-Run Unwrapper <i></i></a>

    <?php else : ?>

        <div class="notice notice-success inline">
            <p>
                The Amazon shortlinks unwrapper is working.
            </p>
        </div>

        <?php //display queue

        if(isset($queueCount) && $queueCount){ ?>
            <p>There are <strong><?php echo $queueCount; ?></strong> items awaiting processing in the unwrapper queue.</p>
        <?php }

    endif; ?>

</div>
