<?php
$endDate = new DateTime();
$endDate->add(new DateInterval("P7D"))
?>

<tr class="row-add" data-nonce="<?php echo wp_create_nonce('add_countdown'); ?>">
    <td class="edit-column with-input-top-align">
        <a href="#" class="save"><i class="fa fa-floppy-o"></i></a>
        <a href="#" class="cancel"><i class="fa fa-close" ></i></a>
    </td>
    <td class="with-input with-input-top-align">
        <label>Product Name<br /><input type="text" name="product_name" value=""></label><br />
        <label>Call to Action Text<br /><textarea rows="3" name="call_to_action" >Hurry, take advantage of this sale while you still can!</textarea></label>
        <br />
        <label>Button Label<br /><input type="text" name="button_label" value="Buy Now!" /></label>
        

    </td>
    <td class="with-input with-input-top-align">
        <label>Full Price Link<br /><input type="text" name="full_price_link" value=""></label>
        <br>
        <label>Product URL<br /><input type="text" name="purchase_link" value=""></label>
        <br>
        <label>Timer Position</label><br>
        <select name="timer_position" >
            <option value='top'>Top</option>
            <option value='bottom'>Bottom</option>
            <option value='sticky-top'>Sticky Top</option>
            <option value='sticky-bottom'>Sticky Bottom</option>
        </select><br>
        
        <label>Show On</label><br>
        <select name="show_on">
            <option value='all'>All</option>
            <option value='posts'>Posts</option>
            <option value='cats'>Categories</option>
        </select>
        
        <?php $posts = $GLOBALS['income_school']['sherpa_affiliates']->get_cpt_names_and_ids('post', 'menu_order', true); ?>
        <div class="select-posts hidden">
            <label>Posts</label><br>
            <select name="posts" multiple >
                <?php foreach ($posts as $id => $name) {
                    printf( '<option value="%s">%s</option>', $id, $name);
                } ?>
            </select>
        </div>

        <?php $cats = get_categories(); ?>
        <div class="select-cats hidden">
            <label>Categories</label><br>
            <select name="cats" multiple >
                <?php foreach ($cats as $cat) {
                    printf( '<option value="%s">%s</option>', $cat->term_id, $cat->name);
                } ?>
            </select>
        </div>

    </td>
    <td class="with-input with-input-top-align product-image-container">
        <input class="product-image-field" type="hidden" name="product_image_id" value="" />
        <a href="javascript://" class="media-modal-trigger">Select Product Image</a><br />
        <img class="countdown-product-image countdown-product-image-placeholder" />
        <br /><a href="javascript://" class="product-image-remove product-image-remove-hidden">remove</a>

    </td>
    <td class="with-input with-input-top-align">
        <label>Countdown Ends</label><br>
        <select name="countdown_ends">
            <option value='date' selected >Specific Date</option>
            <option value='relative'>Relative to User Visit</option>
        </select>

        <div class="date">
            <label>Date:
                <input type="date" name="end_date" class="" value="<?php echo $endDate->format('Y-m-d') ?>">
            </label>
            <br /><label>Time: <input type="time" name="end_time" value="00:00"></label>
        </div>

        <div class="relative hidden">
            <label>Time Relative to User Visit:
                <input type="number" name="relative_time" class="" value="120"> minutes
            </label>
        </div>
    </td>
</tr>
