<?php //REFER amazon settings page

include( AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 

?>


<div class="wrap bootstrap-wrapper wrap-affiliate-link-refer wrap-affiliate-link-refer-amazon">

    <div class="refer-header">    
        <div class="title">
            <h3>Manage your Affiliate Settings</h3>
        </div>
    </div>

    <div id="amazon_setup" class="refer-section"> 
        <div class="row">

            <!--<div class="col-sm-12 refer-header">
                <div class="title">
                    <div class="icon"><img class="blue-scale" src="<?php #echo AFFILIATE_LINK_REFER_PLUGIN_URL . '/assets/images/amazon.png'; ?>"/></div>
                    <h3>Manage your Amazon Settings</h3>
                </div>
            </div>-->

            <div class="refer-body coulmn-1 col-sm-6">



                <form method="post" action="<?php echo admin_url( 'admin-post.php' ); ?>">
                    <div class="field">
                        <?php wp_nonce_field( 'save_affiliate_settings' ); ?>
                        <input type="hidden" name="action" value="handle_refer_amazon_settings_form">

                        <label>
                            <strong>Amazon Affiliate ID</strong>       
                            <span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='<p>Enter your Amazon Tracking ID below. Using this ID we&rsquo;ll rewrite any Amazon links on your website to automatically use your affiliate ID. You don&rsquo;t have to do anything except for drop your link into your content, and we take care of it from there!</p><p>You can find your Amazon Tracking ID by logging into your Amazon Associates account and looking in the top right corner next to "Store:". If you haven&rsquo;t signed up for your Amazon Associates account yet, you can do that here: <a href="https://associates.amazon.com" target="_blank">https://associates.amazon.com</a>.</p>'><i class="fa fa-info" aria-hidden="true"></i></span></span>
                        </label> 
                        <input type="text" name="amazon_affiliate_id" value="<?php echo $affiliateId; ?>" class="regular-text" placeholder="Affiliate ID">

                        <!--<p>
                            <label>
                                <strong>Amazon OneLink Code</strong>
                                <span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='<p>To make your links universally available to all countries, you can use a service from Amazon call Amazon OneLink. By entering the code in the box below, your associate links will automatically be updates for the country viewing your content.</p><p>To find your OneTag code, log into your Amazon Associates US account. click on "Tools" and select "OneLink". Generate your code and then click on "Get the code here" for Step 2.</p>'><i class="fa fa-info" aria-hidden="true"></i></span></span>
                            </label>
                            <textarea name="amazon_onelink_code" cols="80" rows="10"><?php //echo $oneLinkCode; ?></textarea>
                            <br><input type="submit" name="submit" id="submit" class="refer-button hover-effect settings-submit" value="Save">
                        </p>-->
                    </div>

                    <?php /*<div class="field">
                        <input type="hidden" name="action" value="handle_refer_amazon_settings_form">

                        <label>
                            <strong>Amazon API Key </strong>       
                            <span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='<p>Enter your Amazon API Key below. Get your key at <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-setup-api-key-with-console.html" target="_blank">https://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-setup-api-key-with-console.html</a>.</p>'><i class="fa fa-info" aria-hidden="true"></i></span></span>
                        </label> 
                        <input type="text" name="amazon_api_key" value="<?php echo $amazon_api_key; ?>" class="regular-text" placeholder="Amazon API Key">
                    </div>

                    <div class="field">
                        <input type="hidden" name="action" value="handle_refer_amazon_settings_form">

                        <label>
                            <strong>Amazon API Secret </strong>       
                            <span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='<p>Enter your Amazon API secret below. Get your secret at <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-setup-api-secret-with-console.html" target="_blank">https://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-setup-api-secret-with-console.html</a>.</p>'><i class="fa fa-info" aria-hidden="true"></i></span></span>
                        </label> 
                        <input type="text" name="amazon_api_secret" value="<?php echo $amazon_api_secret; ?>" class="regular-text" placeholder="Amazon API secret">
                    </div> */ ?>

                    <input type="submit" name="submit" id="submit" class="refer-button hover-effect" value="Save">

                </form>

            </div>

            <div class="refer-body sub-col col-sm-6">
                <label>
                    <strong>Amazon Shortlink Unwrapper</strong>
                    <span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='<p>This tool will automatically find and convert Amazon shortlinks (ex. https://amzn.to/2FpgtMM) in your content to the standard Amazon link, including your affiliate ID. This feature requires certain hosting permissions that not every hosting provider enables.</p>'><i class="fa fa-info" aria-hidden="true"></i></span></span>
                </label>

                <?php include(AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/amazon-shortlink-converter-verify.php'); ?>

                <p>Note: Amazon shortlinks don't get unwrapped immediately.</p>

            </div>


        </div>
    </div>

    <?php /*<div id="walmart_setup" class="refer-section"> 
        <div class="row">
            <div class="refer-body coulmn-1 col-sm-6">
                <form method="post" action="<?php echo admin_url( 'admin-post.php' ); ?>">
                    <div class="field">
                        <?php wp_nonce_field( 'save_affiliate_settings' ); ?>
                        <input type="hidden" name="action" value="handle_refer_amazon_settings_form">

                        <label>
                            <strong>Walmart API Key</strong>       
                            <span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='<p>Enter your Walmart API Key below. Get your key at <a href="https://app.bluecartapi.com/" target="_blank">https://app.bluecartapi.com/</a>.</p>'><i class="fa fa-info" aria-hidden="true"></i></span></span>
                        </label> 
                        <input type="text" name="walmart_api_key" value="<?php echo $walmart_api_key; ?>" class="regular-text" placeholder="Walmart API Key">
                        <input type="submit" name="submit" id="submit" class="refer-button hover-effect" value="Save">
                    </div>
                </form>
            </div>
        </div>
    </div> */ ?>
        
</div>