<?php //REFER clocks page

include( AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 

wp_enqueue_style( 'refer-table' );
wp_enqueue_script( 'refer-table' , array('jquery') );
wp_enqueue_style( 'affiliate-link-refer-flipdown' );
wp_enqueue_style( 'affiliate-link-refer-theme-style' );
wp_enqueue_script( 'affiliate-link-refer-flipdown-js' , array('jquery') );

?>

<div class="wrap bootstrap-wrapper wrap-affiliate-link-refer-countdowns">

<?php  /************************
* display placeholder screen unless clocks exist 
* ($links = array of clocks inherited from  AdminInterface::renderCountdownsPage() ) 
*************************/ 

if( count($links) == 0 && !isset($_GET['create'])){
//if( 'foo' == 'bar' ){

    $params = Array(
        'placeholder_image' => AFFILIATE_LINK_REFER_PLUGIN_URL . "assets/images/clock.png",
        'title' => 'REFER CLOCKS',
        'subtitle' => 'LET YOU CREATE TIMERS ACROSS YOUR SITE THAT SKYROCKET  YOUR CONVERSION RATES',
        'create_link' => '?page='.$_GET['page'].'&create=clock',
        'example_link' => 'https://incomeschool.com/affiliate-program/',
        'disabled' => false,    
    );

    
    $GLOBALS['income_school']['refer_affiliates']->get_template_part_with_params('admin/_partials/refer-placeholder.php', $params ); 
}else{ 

	/************************
	* Render Clocks interface
	*************************/ 

	?>

    <div class="refer-notice notice-error notice-error-ajax inline " style="display: none;">
        <p>
            Settings have been saved
        </p>
    </div>

    <div class="refer-header clocks-header">
    	
    	<div class="main">
	        <div class="title">
	        	<div class="centered-vertically">
		            <div class="icon centered-vertically"><i class="fa fa-clock-o" aria-hidden="true"></i></div>
		        </div>
	            <h3>REFER Clocks <span class="centered-vertically" ><span class="info-icon tooltip" title="<p>Countdowns cause a sense of urgency and greatly increase conversion rates.</p>"><i class="fa fa-info" aria-hidden="true"></i></span></span></h3>
	        </div>

	        <div class="centered-vertically">
		        <span class="sub-title centered-vertically">[ri-fur kloks] awesome time-specific banners that boost sales like crazy</span>
    		</div>

    	</div>

    	<div class="buttons">
	    	<a href="#" class="refer-button hover-effect preview hidden"><span class="icon dashicons dashicons-visibility"></span>Preview</a>
	    	<a href="#" class="refer-button hover-effect create-clock"><span class="icon icon-alarm-clock-11"></span>Create</a>
	    	<a href="#" class="refer-button hover-effect cancel hidden gray"><span class="icon"><i class="fa fa-close"></i></span>Cancel</a>
	    	<a href="#" class="refer-button hover-effect save green hidden"><span class="icon"><i class="fa fa-save"></i></span>Save</a>
		</div>

    </div>

    <?php if(!(isset($_COOKIE['refer_disclaimers_clocks']))){ ?>
	    <div class="refer-section disclaimers">
	    	<div class="close" data-cookie="refer_disclaimers_clocks" ><i class="fa fa-times" aria-hidden="true"></i></div>

			<span><strong>Note<sup>*</sup></strong> Clocks will not appear in front end while logged in as an Admin. View while logged out or in "private" browser to see clocks on front end.</span>
			<span><strong>Note<sup>*</sup></strong> 3rd party caching plugins might affect clock appearance. Always clear cache(s) after creating or editing clocks.</span>
		</div>
	<?php } ?>

    <div id="clocks_top" class="refer-section countdowns-add">
    	<table>
	    	<?php include(AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/countdown-item-row-add.php'); ?>
		</table>
	</div>

	<div class="refer-header">
        <div class="title">
            <div class="icon"><i class="fa fa-clock-o" aria-hidden="true"></i></div>
            <h3>Your REFER Clocks</h3>
        </div>
    </div>

	<div id="clocks_bottom" class="refer-table-wrap refer-section">

	    <table class="countdowns-edit refer-table">
	        <thead>
	        <tr>
	        	<th></th>
	            <th class="align-left"><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-product-countdowns') . "&paged={$paged}&sortCountdownByName={$sortByName}";?>#clocks_bottom"><?php echo __( 'REFER CLOCK NAME' ); ?> <i class="fa fa-sort"></i></a></th>
	            <th class=""><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-product-countdowns') . "&paged={$paged}&sortCountdownByStatus={$sortByStatus}";?>#clocks_bottom"><?php echo __( 'STATUS' ); ?> <i class="fa fa-sort"></i></a></th>
	            <th class="align-left"><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-product-countdowns') . "&paged={$paged}&sortCountdownByUrl={$sortByUrl}";?>#clocks_bottom"><?php echo __( 'Link' ); ?> <i class="fa fa-sort"></i></a></th>
	            <th><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-product-countdowns') . "&paged={$paged}&sortCountdownByViews={$sortByViews}";?>#clocks_bottom"><?php echo __( 'Total Views' ); ?> <i class="fa fa-sort"></i></a></th>
	            <th><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-product-countdowns') . "&paged={$paged}&sortCountdownByClicks={$sortByClicks}";?>#clocks_bottom"><?php echo __( 'Total Clicks' ); ?> <i class="fa fa-sort"></i></a></th>
	        </tr>
	        </thead>
	        <tbody>
	        <?php foreach($links as $link) : ?>
	            <?php include(AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/countdown-item-row-view.php'); ?>
	        <?php endforeach; ?>
	        </tbody>
	    </table>

	</div>


<?php } //end if count($links) ?>

</div>

<!--<div id="modal" class="modal-affiliate-link-refer hidden"></div>-->
<div id="clock-preview-modal" class="modal modal-xl modal-affiliate-link-refer" tabindex="-1" role="dialog"></div>
<div id="clock-delete-modal" class="modal modal-affiliate-link-refer" tabindex="-1" role="dialog"></div>
