<?php //REFER dashboard main page

include( AFFILIATE_LINK_SHERPA_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 

?>

<div class="wrap wrap-affiliate-link-sherpa wrap-affiliate-link-sherpa-dashboard">

    <div id="activity_overview" class="refer-section">
       
       <div class="refer-header">
            <div class="title">
                <div class="icon"><span class="icon-reports"></span></div>
                <h3>Clicks on Your REFER Links</h3>
            </div>
        </div>

        <?php 
        $period = ( $_GET['period'] != NULL)? $_GET['period'] : "1-month"; 
            
        $dates = $GLOBALS['income_school']['sherpa_affiliates']->get_link_clicks($period);
        $params = Array(
            'values' => $dates,
            'context' => 'dashboard',
            'period' => $period,
        );

        $GLOBALS['income_school']['sherpa_affiliates']->get_template_part_with_params('admin/_partials/refer-chart.php', $params ); 

        ?>

    </div>

    <div id="refer_links" class="refer-section">
       
        <div class="refer-header">
            <div class="title">
                <div class="icon"><span class="icon-diagram-curvy"></span></div>
                <h3>REFER Links</h3>
            </div>
        </div>

        <div class="buttons">
            <span class="refer-button hover-effect create"><span class="icon icon-megaphone"></span>Create New Refer Link</span>
        </div>


        <?php 

        $params = Array(
            'context' => 'dashboard',
        );

        $GLOBALS['income_school']['sherpa_affiliates']->get_template_part_with_params('admin/_partials/refer-links-table.php', $params ); 

        ?>

    </div>

</div>
