<?php //REFER dashboard main page

include( AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 

?>

<div class="wrap bootstrap-wrapper wrap-affiliate-link-refer wrap-affiliate-link-refer-dashboard">
    
    <div class="row">

        <div class="col-lg-12">
            <div id="activity_overview" class="refer-section">
               
               <div class="refer-header">
                    <div class="title">
                        <div class="icon"><span class="icon-reports"></span></div>
                        <h3>Clicks on Your REFER Links</h3>
                    </div>
                </div>

                <?php 
                //$period = array_key_exists('period', $_GET)? $_GET['period'] : "1-month"; 
                $period = array_key_exists('period', $_GET)? $_GET['period'] : "30-Days"; 
                $context = 'dashboard';
                $dates = $GLOBALS['income_school']['refer_affiliates']->get_link_clicks($period, $context);
                $params = Array(
                    'values' => $dates,
                    'context' => $context,
                    'period' => $period,
                    'reverse' => true,
                );

                $GLOBALS['income_school']['refer_affiliates']->get_template_part_with_params('admin/_partials/refer-chart.php', $params ); 

                ?>

            </div>

            <div class="refer-section">
               
                <div class="refer-header">
                    <div class="title">
                        <div class="icon"><span class="icon-diagram-curvy"></span></div>
                        <h3>REFER Links</h3>
                    </div>
                </div>

                <div class="buttons">
                    <a href="<?php echo admin_url(); ?>admin.php?page=affiliate-link-refer-link-manager" class="refer-button hover-effect create"><span class="icon icon-megaphone"></span>Manage REFER Links</a>
                </div>

                <div class="dashboard-table-wrap">

                    <div class="table-search">
                        <span class="centered-vertically"><i class="icon fa fa-search" aria-hidden="true"></i></span>
                        <span class="search-message"><?php echo (isset($_GET['s0']))? $_GET['s0'] : 'Search your REFER links.  For example, “Leupold Binoculars”'; ?></span>
                        <input class="search-field centered-vertically" type="text" placeholder="search" value="<?php echo (isset($_GET['s0']))? $_GET['s0'] : ''; ?>" />
                        <span class="refer-button hover-effect search">Search</span>
                    </div>

                    <?php 

                    $params = Array(
                        'context' => 'dashboard',
                        'limit' => '5',
                        'show_header' => true,
                    );

                    $GLOBALS['income_school']['refer_affiliates']->get_template_part_with_params('admin/_partials/refer-links-table.php', $params ); 

                    ?>
                </div>
                
                <div class="clearfix"></div>
                <div class="align-center"><a href="<?php echo admin_url(); ?>admin.php?page=affiliate-link-refer-link-manager" class="view-all">View All</a></div>


            </div>
        </div>

        <!--<div class="col-lg-3">
            <div class="refer-section action-items">
                
                <div class="refer-header underline">
                    <div class="title">
                        <h3>Action Items</h3>
                    </div>
                </div>

                <div class="action-item">
                    <p>Coming Soon!</p>
                </div>

            </div>
        </div>-->

    </div>
</div>
