<?php //REFER disclaimers page

include( AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 

?>
<div class="wrap bootstrap-wrapper wrap-affiliate-link-refer wrap-affiliate-link-refer-legal-disclaimers">

    <?php if(isset($_GET['saved'])) : ?>
        <div class="notice notice-success is-dismissible inline">
            <p>
                Settings have been saved
            </p>
        </div>
    <?php endif; ?>

    <div class="refer-header">    
        <div class="title">
            <h3>Add Smart Disclaimers</h3>
			<span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='<p>You should include legal disclaimers on any page that contains an affiliate link. We do this automatically for you! All you need to do is select where you&rsquo;d like to display the disclaimers and enter the text.</p>'><i class="fa fa-info" aria-hidden="true"></i></span></span>
        </div>
    </div>
    
    <form method="post" action="<?php echo admin_url( 'admin-post.php' ); ?>">

        <div id="smart_disclaimers" class="refer-section"> 
            <div class="row">

                <!--<div class="col-sm-12 refer-header">
                    <div class="title">
                        <div class="icon"><img class="blue-scale" src="<?php #echo AFFILIATE_LINK_REFER_PLUGIN_URL . '/assets/images/amazon.png'; ?>"/></div>
                        <h3>Add Smart Disclaimers</h3>
                        <span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='You should include legal disclaimers on any page that contains an affiliate link. We do this automatically for you! All you need to do is select where you&rsquo;d like to display the disclaimers and enter the text.'><i class="fa fa-info" aria-hidden="true"></i></span></span>
                    </div>
                </div>-->

            </div>

            <div class="row">

                <div class="refer-body coulmn-1 col-sm-6">

                    <?php wp_nonce_field( 'save_legal_disclaimers_settings' ); ?>
                    <input type="hidden" name="action" value="handle_refer_legal_disclaimers_settings_form">

                    <p class="field">
                        <label><input type="checkbox" value="1" name="legal_disclaimers_allow_top_of_post" <?php echo $topOfPost != '' ? 'checked' : ''; ?> /><strong>Top of Post</strong></label><br>
                        <div class=" <?php echo $topOfPost != '' ? 'in' : ''; ?>" id="collapsingLegalDisclaimersTopOfPost">
                            <textarea name="legal_disclaimers_top_of_post" cols="80" rows="10"><?php echo $topOfPost != '' ? $topOfPost : $topDisclaimerDefaultCopy; ?></textarea>
                        </div>
                    </p>

                    <p class="field">
                        <label><input type="checkbox" value="1" name="legal_disclaimers_allow_bottom_of_post" <?php echo $bottomOfPost != '' ? 'checked' : ''; ?> /><strong>Bottom of Post</strong></label><br>
                        <div class=" <?php echo $bottomOfPost != '' ? 'in' : ''; ?>" id="collapsingLegalDisclaimersBottomOfPost">
                            <textarea name="legal_disclaimers_bottom_of_post" cols="80" rows="10"><?php echo $bottomOfPost != '' ? $bottomOfPost : $longDisclaimerDefaultCopy; ?></textarea>
                        </div>
                    </p>

                </div>

                <div class="refer-body coulmn-2 col-sm-6">

                    <p class="field">
                        <label><input type="checkbox" value="1" name="legal_disclaimers_allow_footer" <?php echo $footer != '' ? 'checked' : ''; ?> /><strong>Footer</strong></label><br>
                        <div class=" <?php echo $footer != '' ? 'in' : ''; ?>" id="collapsingLegalDisclaimersFooter">
                            <textarea name="legal_disclaimers_footer" cols="80" rows="10"><?php echo $footer != '' ? $footer : $longDisclaimerDefaultCopy; ?></textarea>
                        </div>
                    </p>

                    <p class="field">
                        <label>
                            <input type="checkbox" value="1" name="legal_disclaimers_allow_sidebar" <?php echo $sidebar != '' ? 'checked' : ''; ?> /><strong>Sidebar</strong>
                            <span class="centered-vertically inline-flex" ><span class="info-icon tooltip" title='<p>Activating the sidebar disclaimer will create a <a href="<?php echo get_site_url();?>/wp-admin/widgets.php">Widget</a> that needs to be placed manually.</p>'><i class="fa fa-info" aria-hidden="true"></i></span></span>
                        </label>
                        <br>
                        <div class=" <?php echo $sidebar != '' ? 'in' : ''; ?>" id="collapsingLegalDisclaimersSidebar">
                            <textarea name="legal_disclaimers_sidebar" cols="80" rows="10"><?php echo $sidebar != '' ? $sidebar : $longDisclaimerDefaultCopy; ?></textarea>
                        </div>
                    </p>

                </div>
            </div>

            <p><input type="submit" name="submit" id="submit" class="refer-button hover-effect" value="Save"></p>

        </form>

    </div>        
</div>
