<?php //REFER reports single 

include( AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 
wp_enqueue_style( 'refer-table' );
wp_enqueue_script( 'refer-table' , array('jquery') );
?>

<div class="wrap bootstrap-wrapper affiliates-reports-dashboard wrap-affiliate-link-reports wrap-is-affiliate-reports wrap-affiliate-link-refer">

    <div class="refer-header">
                <div class="title">
                    <div class="icon"><span class="icon-reports"></span></div>
                    <h3><span>Income School Affiliate Tracker Report: <span class="sky-blue">By Post</span></span></h3> 
                    <a class="link-bubble" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-reports'); ?>">< Reports Dashboard</a>
                </div>
                <p>Report data is generated daily.</p>
            </div>
            
            <div class="refer-section refer-table-wrap">
                <?php if(!empty($postStats)) : ?>
                    <table class="affiliate-report-table post-stats refer-table">
                        <thead>
                            <tr>
                                <th><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-report-by-post') . "&paged={$paged}&sortPostReportByTitle={$sortByTitleDirection}";?>">Title <i class="fa fa-sort"></i></a></th>
                                <th class="right"><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-report-by-post') . "&paged={$paged}&sortPostReportByViews={$sortByViews}";?>">Views <i class="fa fa-sort"></i></a></th>
                                <th class="right"><a class="sort" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-report-by-post') . "&paged={$paged}&sortPostReportByClicks={$sortByClicks}";?>">Clicks <i class="fa fa-sort"></i></a></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            foreach($postStats as $stat) : ?>
                                <tr>
                                    <td class="title"><?php echo $stat['title'];?></td>
                                    <td class="views right"><?php echo $stat['views'];?></td>
                                    <td class="clicks right"><?php echo $stat['clicks'];?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                    <?php include(AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/affiliate-report-pagination.php'); ?>
                <?php else : ?>
                    <div class="no-report-data-message">No report data to show yet.</div>
                <?php endif; ?>
            </div>

            <?php #include(AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/affiliate-report-pagination.php'); ?>

        </div>
    </div>
</div>
