<?php //REFER reports single 

include( AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/refer-admin-bar.php'); 
wp_enqueue_style( 'refer-table' );
wp_enqueue_script( 'refer-table' , array('jquery') );
?>

<div class="wrap bootstrap-wrapper wrap-affiliate-link-reports affiliates-reports-dashboard wrap-is-affiliate-reports wrap-affiliate-link-refer">

    <div class="row">
        <div class="col-wrap col-lg-12">

            <div class="refer-header">
                <div class="title">
                    <div class="icon"><span class="icon-reports"></span></div>
                    <h3><span>Income School Affiliate Tracker Report: <span class="sky-blue">By Word Count</span></span></h3> 
                    <a class="link-bubble" href="<?php echo admin_url('admin.php?page=affiliate-link-refer-reports'); ?>">< Reports Dashboard</a>
                </div>
                <p>Report data is generated daily.</p>
            </div>
            
            <div class="refer-section refer-table-wrap">
                
                 <?php if(!empty($wordCountStats)) : ?>
                    <table class="affiliate-report-table word-count-stats refer-table">
                        <thead>
                            <tr>
                                <th class="left">Word Count</th>
                                <th class="right">Views</th>
                                <th class="right">Clicks</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach($wordCountStats as $stat) : ?>
                                <tr>
                                    <td class="title left"><?php echo $stat['title'];?></td>
                                    <td class="views right"><?php echo $stat['views'];?></td>
                                    <td class="clicks right"><?php echo $stat['clicks'];?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                <?php else : ?>
                    <div class="no-report-data-message">No report data to show yet.</div>
                <?php endif; ?>

            </div>

            <?php include(AFFILIATE_LINK_REFER_PLUGIN_DIR  . '/assets/html/admin/_partials/affiliate-report-pagination.php'); ?>

        </div>
    </div>
</div>
